net.dontdrinkandroot.visualization.examples.odem

## Class Type

- java.lang.Object
- - net.dontdrinkandroot.visualization.examples.odem.Type

    public class Type
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Type(String fullName, String visibility, String classification, String isAbstract, String isFinal)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getClassification()`
`String` `getName()`
`String` `getPackage()`
`String` `getVisibility()`
`int` `hashCode()`
`String` `isAbstract()`
`String` `isFinal()`
`void` `setAbstract(String isAbstract)`
`void` `setClassification(String classification)`
`void` `setFinal(String isFinal)`
`void` `setName(String name)`
`void` `setPackage(String packageName)`
`void` `setVisibility(String visibility)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Type

    public Type(String fullName,
        String visibility,
        String classification,
        String isAbstract,
        String isFinal)

### Method Detail

#### getName

    public final String getName()

#### setName

    public final void setName(String name)

#### getPackage

    public final String getPackage()

#### setPackage

    public final void setPackage(String packageName)

#### getVisibility

    public final String getVisibility()

#### setVisibility

    public final void setVisibility(String visibility)

#### getClassification

    public final String getClassification()

#### setClassification

    public final void setClassification(String classification)

#### isAbstract

    public final String isAbstract()

#### setAbstract

    public final void setAbstract(String isAbstract)

#### isFinal

    public final String isFinal()

#### setFinal

    public final void setFinal(String isFinal)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`